Loading...
Searching...
No Matches
param.h File Reference
SPA » Parameters

`spa/param/param.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_param_info
| information about a parameter More...

## Macros

#define | SPA_PARAM_INFO_SERIAL (1<<0)
| bit to signal update even when the read/write flags don't change
#define | SPA_PARAM_INFO_READ (1<<1)
#define | SPA_PARAM_INFO_WRITE (1<<2)
#define | SPA_PARAM_INFO_READWRITE (SPA_PARAM_INFO_WRITE|SPA_PARAM_INFO_READ)
#define | SPA_PARAM_INFO(id, flags) ((struct spa_param_info){ (id), (flags) })

## Enumerations

enum | spa_param_type { SPA_PARAM_Invalid , SPA_PARAM_PropInfo , SPA_PARAM_Props , SPA_PARAM_EnumFormat , SPA_PARAM_Format , SPA_PARAM_Buffers , SPA_PARAM_Meta , SPA_PARAM_IO , SPA_PARAM_EnumProfile , SPA_PARAM_Profile , SPA_PARAM_EnumPortConfig , SPA_PARAM_PortConfig , SPA_PARAM_EnumRoute , SPA_PARAM_Route , SPA_PARAM_Control , SPA_PARAM_Latency , SPA_PARAM_ProcessLatency , SPA_PARAM_Tag }
| different parameter types that can be queried More...
enum | spa_param_bitorder { SPA_PARAM_BITORDER_unknown , SPA_PARAM_BITORDER_msb , SPA_PARAM_BITORDER_lsb }
enum | spa_param_availability { SPA_PARAM_AVAILABILITY_unknown , SPA_PARAM_AVAILABILITY_no , SPA_PARAM_AVAILABILITY_yes }

## Detailed Description

`spa/param/param.h`